Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.10.12

Bug #4426 PEAR_Autoloader __call() must take only 2 arguments
Submitted: 2005-05-25 09:11 UTC
From: fredericpoeydomenge Assigned: ashnazg
Status: Closed Package: PEAR
PHP Version: 5.0.4 OS: Debian GNU/Linux
Roadmaps: (Not assigned)    
Subscription  


 [2005-05-25 09:11 UTC] fredericpoeydomenge
Description: ------------ in PEAR 1.4.0a11 : Fatal error: Method PEAR_Autoloader::__call() must take exactly 2 arguments in /usr/share/pear/PEAR/Autoloader.php on line 216 Reproduce code: --------------- php -l /usr/share/pear/PEAR/Autoloader.php

Comments

 [2005-05-28 20:26 UTC] cellog
PEAR_Autoloader does not work in PHP 5, it is deprecated and replaced by the PEAR_Delegator package.
 [2015-11-07 18:02 UTC] kna (Naoki Kawamukai)
pear>=1.10.0 dose not suport PHP4. I think PEAR_Autoloader is unnecessary now. https://github.com/pear/pear-core/pull/48
 [2017-02-13 19:07 UTC] ashnazg (Chuck Burgess)
-Status: Wont fix +Status: Closed -Assigned To: +Assigned To: ashnazg
Fixed in Github via https://github.com/pear/pear-core/pull/48
 [2018-04-23 09:18 UTC] vijay_707 (Vijay kumar)
Method PEAR_Autoloader::__call() must take exactly 2 arguments in C:\xampp\php\pear\Autoloader.php on line 210
 [2018-05-23 17:44 UTC] ashnazg (Chuck Burgess)
Vijay, this fix was included in PEAR v1.10.2, so it would appear your XAMPP installation has an older PEAR version in it.